# Note that this is NOT a relocatable package
%define prefix   /opt/pango

Summary: Library implementing the Unicode BiDi algorithm
Name: fribidi-gtkss
Version: 0.1.12
Release: 1
Copyright: LGPL
Group: System Environment/Libraries
Source: http://imagic.weizmann.ac.il/~dov/freesw/FriBidi/fribidi-%{version}.tar.gz
BuildRoot: /var/tmp/fribidi-%{PACKAGE_VERSION}-root
URL: http://imagic.weizmann.ac.il/~dov/freesw/FriBidi
Docdir: %{prefix}/doc

%description
a Free Implementation of the Unicode BiDi algorithm

%package devel
Summary: Library implementing the Unicode BiDi algorithm
Group: Development/Libraries

%description devel
The fribidi-devel package includes the static libraries and header files
for the fribidi package.

Install fribidi-devel if you want to develop programs which will use
fribidi.

%changelog
* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to 0.1.12

* Tue Apr 04 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to 0.1.9

* Wed Feb 16 2000 Owen Taylor <otaylor@redhat.com>
- Add patch to fix memory leaks

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Initial version

%prep
%setup -n fribidi-%{PACKAGE_VERSION}


%build
PATH=%{prefix}/bin:$PATH CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/fribidi
%{prefix}/lib/libfribidi.so.*.*.*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/include/fribidi
%{prefix}/bin/fribidi-config